.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the InterpolatedCamera.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_InterpolatedCamera:

InterpolatedCamera
==================

**Inherits:** :ref:`Camera<class_camera>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+-------+-------------------------------------------------------------------------------------------------------+
| void  | :ref:`set_target<class_InterpolatedCamera_set_target>` **(** :ref:`Object<class_object>` target **)** |
+-------+-------------------------------------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_InterpolatedCamera_enabled:

- :ref:`bool<class_bool>` **enabled**

  .. _class_InterpolatedCamera_speed:

- :ref:`float<class_float>` **speed**

  .. _class_InterpolatedCamera_target:

- :ref:`NodePath<class_nodepath>` **target**


Member Function Description
---------------------------

.. _class_InterpolatedCamera_set_target:

- void **set_target** **(** :ref:`Object<class_object>` target **)**


